import service from '@/utils/request'

// 创建提供商
export const createAiProvider = (data) => {
  return service({
    url: '/aiProvider/createAiProvider',
    method: 'post',
    data
  })
}

// 删除提供商
export const deleteAiProvider = (data) => {
  return service({
    url: '/aiProvider/deleteAiProvider',
    method: 'delete',
    data
  })
}

// 更新提供商
export const updateAiProvider = (data) => {
  return service({
    url: '/aiProvider/updateAiProvider',
    method: 'put',
    data
  })
}

// 查询提供商
export const findAiProvider = (params) => {
  return service({
    url: '/aiProvider/findAiProvider',
    method: 'get',
    params
  })
}

// 获取提供商列表
export const getAiProviderList = (params) => {
  return service({
    url: '/aiProvider/getAiProviderList',
    method: 'get',
    params
  })
}
